List cost alerts
curl --request GET \
--url https://api.example.com/alerts-v2/costAlerts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/alerts-v2/costAlerts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/alerts-v2/costAlerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"organizationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"scopeId": "<string>",
"urlState": "<string>",
"name": "<string>",
"currency": "USD",
"queryName": "<string>",
"queries": [
{
"type": "condition",
"expression": "<string>",
"name": "<string>",
"colorIndex": 123,
"chartType": "BAR",
"alias": "<string>",
"visible": true
}
],
"evaluationPeriod": "DAILY",
"thresholdType": "ABOVE",
"snoozedUntil": "2023-11-07T05:31:56Z",
"condition": "<string>",
"conditionAdvancedExplorerQuery": {},
"dedupKind": "CALENDAR",
"dedupCalendarUnit": "WEEK",
"dedupWindowDays": 123,
"notificationChannel": "EMAIL",
"emails": [
"jsmith@example.com"
],
"slackChannelId": "<string>",
"teamsChannelId": "<string>",
"description": "<string>",
"thresholds": [
{
"id": "<string>",
"costAlertId": "<string>",
"budgetAlertId": "<string>",
"value": 123,
"severityLevel": "INFO",
"metricMode": "ABSOLUTE_SPEND",
"changeBasis": "ABSOLUTE_DELTA"
}
],
"computationResults": [
{
"id": "<string>",
"costAlertId": "<string>",
"value": 123,
"reachedSeverityLevel": "INFO",
"effectiveDate": "2023-11-07T05:31:56Z",
"computedAt": "2023-11-07T05:31:56Z",
"valueMetricMode": "ABSOLUTE_SPEND",
"valueChangeBasis": "ABSOLUTE_DELTA",
"selectedPeriodValue": 123,
"comparisonPeriodValue": 123,
"groupByValue": "<string>",
"notifiedAt": "2023-11-07T05:31:56Z",
"notificationState": "NOTIFIED"
}
],
"status": "ACTIVE",
"severityLevel": "INFO"
}
]{
"error": "<string>"
}Alerts V2
List cost alerts
GET
/
alerts-v2
/
costAlerts
List cost alerts
Authorizations
Send Authorization: Bearer <credential> using either a Clerk session JWT or a Clerk API key (ak_*). API keys may identify a user (user_*) or organization (org_*) principal and are generated in the Clerk Dashboard under API keys.
Response
Cost alerts with recent computation results
Available options:
USD, EUR, GBP, CNY - Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
Show child attributes
Show child attributes
Available options:
DAILY, WEEKLY, MONTHLY Available options:
ABOVE, UNDER Show child attributes
Show child attributes
Available options:
CALENDAR, ROLLING, null Available options:
WEEK, MONTH, null Available options:
EMAIL, SLACK, TEAMS Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
ACTIVE, SNOOZED, ARCHIVED Available options:
INFO, WARNING, RED, null Last modified on September 8, 2026
Was this page helpful?
